# Travail pratique 3

Cours: IFT-7022
Session: Automne 2019
Auteur: François Pelletier

## Installation des dépendances du projet

Installer Anaconda3 depuis https://www.anaconda.com/distribution/#download-section

Installer ces paquets additionnels dans l'environnement

```bash
pip install newspaper3k
pip install emoji
pip install git+https://github.com/ClaudeCoulombe/FrenchLefffLemmatizer.git
```

## Installations des dépendances de nltk

```python
import nltk
nltk.download('wordnet')
nltk.download('omw')
nltk.download('punkt')
```

## Obtenir CoreNLP

Télécharger CoreNLP depuis 

https://stanfordnlp.github.io/CoreNLP/download.html

- Le fichier principal: `stanford-corenlp-full-2018-10-05.zip`
- Les fichiers de modèles pour le français, à mettre dans le même dossier que CoreNLP: `stanford-french-corenlp-2018-10-05-models.jar`

## Démarrer le serveur CoreNLP

Exécuter cette commande dans le répertoire de CoreNLP

```bash
java -mx8g -cp "*" edu.stanford.nlp.pipeline.StanfordCoreNLPServer -serverProperties StanfordCoreNLP-french.properties -preload tokenize,ssplit,pos,lemma,ner,parse,depparse -status_port 9000 -port 9000 -timeout 15000 & 
```

## Compilation du rapport en PDF (requiert pandoc et texlive, a installer depuis les paquets de la distribution linux utilisée):

```bash
make
```
